%define snapshot 2015.09.25

Name:           autoconf-archive
Version:        %{snapshot}
Release:        1
Summary:        Autoconf Macro Archive
License:        GPL
Group:          Development/Other
URL:            http://www.gnu.org/software/autoconf-archive/
Source0:        ftp://ftp.gnu.org/pub/gnu/autoconf-archive/%{name}-%{snapshot}.tar.bz2
Source1:        ftp://ftp.gnu.org/pub/gnu/autoconf-archive/%{name}-%{snapshot}.tar.xz.sig
Requires:       automake
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Autoconf Macro Archive aims to provide a collection of reusable Autoconf
macros as free software. The archive currently features more than 500 macros
which perform portability tests ranging from compiler support for weird
language extensions to automatic generation of sophisticated Automake rules.
All these macros have been contributed by friendly supporters of the cause
from all over the Internet; this archive is merely a distribution of other
people's efforts.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir}
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" -eq "0" ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING INSTALL README
%{_datadir}/aclocal/*
%{_infodir}/*


%changelog
* Sun Sep 27 2015 Michael Perzl <michael@perzl.org> - 2015.09.25-1
- updated to version 2015.09.25

* Tue Feb 24 2015 Michael Perzl <michael@perzl.org> - 2015.02.24-1
- updated to version 2015.02.24

* Wed Feb 04 2015 Michael Perzl <michael@perzl.org> - 2015.02.04-1
- updated to version 2015.02.04

* Thu Oct 15 2014 Michael Perzl <michael@perzl.org> - 2014.10.15-1
- updated to version 2014.10.15

* Fri Feb 28 2014 Michael Perzl <michael@perzl.org> - 2014.02.28-1
- updated to version 2014.02.28

* Fri Nov 01 2013 Michael Perzl <michael@perzl.org> - 2013.11.01-1
- updated to version 2013.11.01

* Sun Jun 09 2013 Michael Perzl <michael@perzl.org> - 2013.06.09-1
- updated to version 2013.06.09

* Sun Jun 09 2013 Michael Perzl <michael@perzl.org> - 2013.04.06-1
- updated to version 2013.04.06

* Sat Feb 02 2013 Michael Perzl <michael@perzl.org> - 2013.02.02-1
- updated to version 2013.02.02

* Wed Nov 14 2012 Michael Perzl <michael@perzl.org> - 2012.11.14-1
- updated to version 2012.11.14

* Sat Sep 08 2012 Michael Perzl <michael@perzl.org> - 2012.09.08-1
- updated to version 2012.09.08

* Sun Apr 08 2012 Michael Perzl <michael@perzl.org> - 2012.04.07-1
- updated to version 2012.04.07

* Wed Dec 21 2011 Michael Perzl <michael@perzl.org> - 2011.12.21-1
- updated to version 2011.12.21

* Sun Sep 18 2011 Michael Perzl <michael@perzl.org> - 2011.09.17-1
- updated to version 2011.09.17

* Sun Jul 17 2011 Michael Perzl <michael@perzl.org> - 2011.07.17-1
- updated to version 2011.07.17

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 2011.04.12-1
- updated to version 2011.04.12

* Fri Mar 18 2011 Michael Perzl <michael@perzl.org> - 2011.03.17-1
- updated to version 2011.03.17

* Sun Jan 02 2011 Michael Perzl <michael@perzl.org> - 2011.01.02-1
- updated to version 2011.01.02

* Wed Oct 27 2010 Michael Perzl <michael@perzl.org> - 2010.10.26-1
- updated to version 2010.10.26

* Fri Aug 20 2010 Michael Perzl <michael@perzl.org> - 2010.08.19-1
- updated to version 2010.08.19

* Tue Jul 06 2010 Michael Perzl <michael@perzl.org> - 2010.07.06-1
- updated to version 2010.07.06

* Fri Jun 04 2010 Michael Perzl <michael@perzl.org> - 2010.06.04-1
- first version for AIX V5.1 and higher
